# Class TestTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.pde.ui.launcher.TestTab

All Implemented Interfaces:
  `IPrototypeAttributesLabelProvider, ILaunchConfigurationTab, ILaunchConfigurationTab2`

public class TestTab extends AbstractLaunchConfigurationTab
The launch configuration tab for JUnit Plug-in Tests. This tab enhances the `JUnitLaunchConfigurationTab` to allow for tests to (optionally) run on a non-UI thread.

This class may be instantiated but is not intended to be subclassed.

Since:
  3.5
Restriction:
  This class is not intended to be subclassed by clients.

## Constructor Summary

Constructors
Constructor
Description
`TestTab()`
Constructor to create a new junit test tab

## Method Summary

Modifier and Type
Method
Description
`void`
`activated(ILaunchConfigurationWorkingCopy workingCopy)`
`boolean`
`canSave()`
`void`
`createControl(Composite parent)`
`void`
`deactivated(ILaunchConfigurationWorkingCopy workingCopy)`
`void`
`dispose()`
`Control`
`getControl()`
`String`
`getErrorMessage()`
`String`
`getId()`
`Image`
`getImage()`
`protected ILaunchConfigurationDialog`
`getLaunchConfigurationDialog()`
`String`
`getMessage()`
`String`
`getName()`
`void`
`initializeFrom(ILaunchConfiguration config)`
`boolean`
`isValid(ILaunchConfiguration config)`
`void`
`performApply(ILaunchConfigurationWorkingCopy config)`
`void`
`setDefaults(ILaunchConfigurationWorkingCopy config)`
`void`
`setLaunchConfigurationDialog(ILaunchConfigurationDialog dialog)`

### Methods inherited from class AbstractLaunchConfigurationTab

`createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getAttributeLabel, getAttributesLabelsForPrototype, getHelpContextId, getLaunchManager, getShell, getUpdateJobDelay, getWarningMessage, initializeAttributes, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ILaunchConfigurationTab

`OkToLeaveTab, postApply`

## Constructor Details

### TestTab

public TestTab()
Constructor to create a new junit test tab

## Method Details

### createControl

public void createControl(Composite parent)

### initializeFrom

public void initializeFrom(ILaunchConfiguration config)

### performApply

public void performApply(ILaunchConfigurationWorkingCopy config)

### getId

public String getId()

Overrides:
  `getId` in class `AbstractLaunchConfigurationTab`

### activated

public void activated(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `activated` in interface `ILaunchConfigurationTab`
Overrides:
  `activated` in class `AbstractLaunchConfigurationTab`

### canSave

public boolean canSave()

Specified by:
  `canSave` in interface `ILaunchConfigurationTab`
Overrides:
  `canSave` in class `AbstractLaunchConfigurationTab`

### deactivated

public void deactivated(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `deactivated` in interface `ILaunchConfigurationTab`
Overrides:
  `deactivated` in class `AbstractLaunchConfigurationTab`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `ILaunchConfigurationTab`
Overrides:
  `dispose` in class `AbstractLaunchConfigurationTab`

### getErrorMessage

public String getErrorMessage()

Specified by:
  `getErrorMessage` in interface `ILaunchConfigurationTab`
Overrides:
  `getErrorMessage` in class `AbstractLaunchConfigurationTab`

### getImage

public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `AbstractLaunchConfigurationTab`

### getMessage

public String getMessage()

Specified by:
  `getMessage` in interface `ILaunchConfigurationTab`
Overrides:
  `getMessage` in class `AbstractLaunchConfigurationTab`

### getName

public String getName()

### isValid

public boolean isValid(ILaunchConfiguration config)

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `AbstractLaunchConfigurationTab`

### setDefaults

public void setDefaults(ILaunchConfigurationWorkingCopy config)

### setLaunchConfigurationDialog

public void setLaunchConfigurationDialog(ILaunchConfigurationDialog dialog)

Specified by:
  `setLaunchConfigurationDialog` in interface `ILaunchConfigurationTab`
Overrides:
  `setLaunchConfigurationDialog` in class `AbstractLaunchConfigurationTab`

### getControl

public Control getControl()

Specified by:
  `getControl` in interface `ILaunchConfigurationTab`
Overrides:
  `getControl` in class `AbstractLaunchConfigurationTab`

### getLaunchConfigurationDialog

protected ILaunchConfigurationDialog getLaunchConfigurationDialog()

Overrides:
  `getLaunchConfigurationDialog` in class `AbstractLaunchConfigurationTab`